--- old/usr/src/uts/common/fs/fem.c	sam. juil. 16 15:14:08 2016
+++ new/usr/src/uts/common/fs/fem.c	sam. juil. 16 15:14:08 2016
@@ -130,7 +130,7 @@
 
 
 #define	_FEMGUARD(name, ignore)  \
-	{ VOPNAME_##name, (femop_t *)fem_err }
+	{ VOPNAME_##name, {(femop_t *)fem_err} }
 
 static struct fs_operation_def fem_guard_ops[] = {
 	_FEMGUARD(OPEN,		open),
@@ -179,7 +179,7 @@
 	_FEMGUARD(VNEVENT,	vnevent),
 	_FEMGUARD(REQZCBUF,	reqzcbuf),
 	_FEMGUARD(RETZCBUF,	retzcbuf),
-	{ NULL, NULL }
+	{ NULL, {NULL} }
 };
 
 
@@ -200,7 +200,7 @@
 };
 
 #define	_FSEMGUARD(name, ignore)  \
-	{ VFSNAME_##name, (femop_t *)fsem_err }
+	{ VFSNAME_##name, {(femop_t *)fsem_err} }
 
 static struct fs_operation_def fsem_guard_ops[] = {
 	_FSEMGUARD(MOUNT, 	mount),
@@ -212,7 +212,7 @@
 	_FSEMGUARD(MOUNTROOT,	mountroot),
 	_FSEMGUARD(FREEVFS,	freevfs),
 	_FSEMGUARD(VNSTATE,	vnstate),
-	{ NULL, NULL}
+	{ NULL, {NULL}}
 };
 
 
@@ -1956,53 +1956,53 @@
  */
 
 static struct fs_operation_def fhead_vn_spec[] = {
-	{ VOPNAME_OPEN, (femop_t *)vhead_open },
-	{ VOPNAME_CLOSE, (femop_t *)vhead_close },
-	{ VOPNAME_READ, (femop_t *)vhead_read },
-	{ VOPNAME_WRITE, (femop_t *)vhead_write },
-	{ VOPNAME_IOCTL, (femop_t *)vhead_ioctl },
-	{ VOPNAME_SETFL, (femop_t *)vhead_setfl },
-	{ VOPNAME_GETATTR, (femop_t *)vhead_getattr },
-	{ VOPNAME_SETATTR, (femop_t *)vhead_setattr },
-	{ VOPNAME_ACCESS, (femop_t *)vhead_access },
-	{ VOPNAME_LOOKUP, (femop_t *)vhead_lookup },
-	{ VOPNAME_CREATE, (femop_t *)vhead_create },
-	{ VOPNAME_REMOVE, (femop_t *)vhead_remove },
-	{ VOPNAME_LINK, (femop_t *)vhead_link },
-	{ VOPNAME_RENAME, (femop_t *)vhead_rename },
-	{ VOPNAME_MKDIR, (femop_t *)vhead_mkdir },
-	{ VOPNAME_RMDIR, (femop_t *)vhead_rmdir },
-	{ VOPNAME_READDIR, (femop_t *)vhead_readdir },
-	{ VOPNAME_SYMLINK, (femop_t *)vhead_symlink },
-	{ VOPNAME_READLINK, (femop_t *)vhead_readlink },
-	{ VOPNAME_FSYNC, (femop_t *)vhead_fsync },
-	{ VOPNAME_INACTIVE, (femop_t *)vhead_inactive },
-	{ VOPNAME_FID, (femop_t *)vhead_fid },
-	{ VOPNAME_RWLOCK, (femop_t *)vhead_rwlock },
-	{ VOPNAME_RWUNLOCK, (femop_t *)vhead_rwunlock },
-	{ VOPNAME_SEEK, (femop_t *)vhead_seek },
-	{ VOPNAME_CMP, (femop_t *)vhead_cmp },
-	{ VOPNAME_FRLOCK, (femop_t *)vhead_frlock },
-	{ VOPNAME_SPACE, (femop_t *)vhead_space },
-	{ VOPNAME_REALVP, (femop_t *)vhead_realvp },
-	{ VOPNAME_GETPAGE, (femop_t *)vhead_getpage },
-	{ VOPNAME_PUTPAGE, (femop_t *)vhead_putpage },
-	{ VOPNAME_MAP, (femop_t *)vhead_map },
-	{ VOPNAME_ADDMAP, (femop_t *)vhead_addmap },
-	{ VOPNAME_DELMAP, (femop_t *)vhead_delmap },
-	{ VOPNAME_POLL, (femop_t *)vhead_poll },
-	{ VOPNAME_DUMP, (femop_t *)vhead_dump },
-	{ VOPNAME_PATHCONF, (femop_t *)vhead_pathconf },
-	{ VOPNAME_PAGEIO, (femop_t *)vhead_pageio },
-	{ VOPNAME_DUMPCTL, (femop_t *)vhead_dumpctl },
-	{ VOPNAME_DISPOSE, (femop_t *)vhead_dispose },
-	{ VOPNAME_SETSECATTR, (femop_t *)vhead_setsecattr },
-	{ VOPNAME_GETSECATTR, (femop_t *)vhead_getsecattr },
-	{ VOPNAME_SHRLOCK, (femop_t *)vhead_shrlock },
-	{ VOPNAME_VNEVENT, (femop_t *)vhead_vnevent },
-	{ VOPNAME_REQZCBUF, (femop_t *)vhead_reqzcbuf },
-	{ VOPNAME_RETZCBUF, (femop_t *)vhead_retzcbuf },
-	{	NULL,	NULL	}
+	{ VOPNAME_OPEN, {(femop_t *)vhead_open} },
+	{ VOPNAME_CLOSE, {(femop_t *)vhead_close} },
+	{ VOPNAME_READ, {(femop_t *)vhead_read} },
+	{ VOPNAME_WRITE, {(femop_t *)vhead_write} },
+	{ VOPNAME_IOCTL, {(femop_t *)vhead_ioctl} },
+	{ VOPNAME_SETFL, {(femop_t *)vhead_setfl} },
+	{ VOPNAME_GETATTR, {(femop_t *)vhead_getattr} },
+	{ VOPNAME_SETATTR, {(femop_t *)vhead_setattr} },
+	{ VOPNAME_ACCESS, {(femop_t *)vhead_access} },
+	{ VOPNAME_LOOKUP, {(femop_t *)vhead_lookup} },
+	{ VOPNAME_CREATE, {(femop_t *)vhead_create} },
+	{ VOPNAME_REMOVE, {(femop_t *)vhead_remove} },
+	{ VOPNAME_LINK, {(femop_t *)vhead_link} },
+	{ VOPNAME_RENAME, {(femop_t *)vhead_rename} },
+	{ VOPNAME_MKDIR, {(femop_t *)vhead_mkdir} },
+	{ VOPNAME_RMDIR, {(femop_t *)vhead_rmdir} },
+	{ VOPNAME_READDIR, {(femop_t *)vhead_readdir} },
+	{ VOPNAME_SYMLINK, {(femop_t *)vhead_symlink} },
+	{ VOPNAME_READLINK, {(femop_t *)vhead_readlink} },
+	{ VOPNAME_FSYNC, {(femop_t *)vhead_fsync} },
+	{ VOPNAME_INACTIVE, {(femop_t *)vhead_inactive} },
+	{ VOPNAME_FID, {(femop_t *)vhead_fid} },
+	{ VOPNAME_RWLOCK, {(femop_t *)vhead_rwlock} },
+	{ VOPNAME_RWUNLOCK, {(femop_t *)vhead_rwunlock} },
+	{ VOPNAME_SEEK, {(femop_t *)vhead_seek} },
+	{ VOPNAME_CMP, {(femop_t *)vhead_cmp} },
+	{ VOPNAME_FRLOCK, {(femop_t *)vhead_frlock} },
+	{ VOPNAME_SPACE, {(femop_t *)vhead_space} },
+	{ VOPNAME_REALVP, {(femop_t *)vhead_realvp} },
+	{ VOPNAME_GETPAGE, {(femop_t *)vhead_getpage} },
+	{ VOPNAME_PUTPAGE, {(femop_t *)vhead_putpage} },
+	{ VOPNAME_MAP, {(femop_t *)vhead_map} },
+	{ VOPNAME_ADDMAP, {(femop_t *)vhead_addmap} },
+	{ VOPNAME_DELMAP, {(femop_t *)vhead_delmap} },
+	{ VOPNAME_POLL, {(femop_t *)vhead_poll} },
+	{ VOPNAME_DUMP, {(femop_t *)vhead_dump} },
+	{ VOPNAME_PATHCONF, {(femop_t *)vhead_pathconf} },
+	{ VOPNAME_PAGEIO, {(femop_t *)vhead_pageio} },
+	{ VOPNAME_DUMPCTL, {(femop_t *)vhead_dumpctl} },
+	{ VOPNAME_DISPOSE, {(femop_t *)vhead_dispose} },
+	{ VOPNAME_SETSECATTR, {(femop_t *)vhead_setsecattr} },
+	{ VOPNAME_GETSECATTR, {(femop_t *)vhead_getsecattr} },
+	{ VOPNAME_SHRLOCK, {(femop_t *)vhead_shrlock} },
+	{ VOPNAME_VNEVENT, {(femop_t *)vhead_vnevent} },
+	{ VOPNAME_REQZCBUF, {(femop_t *)vhead_reqzcbuf} },
+	{ VOPNAME_RETZCBUF, {(femop_t *)vhead_retzcbuf} },
+	{	NULL,	{NULL}	}
 };
 
 /*
@@ -2011,16 +2011,16 @@
  */
 
 static struct fs_operation_def fshead_vfs_spec[]  = {
-	{ VFSNAME_MOUNT, (femop_t *)fshead_mount },
-	{ VFSNAME_UNMOUNT, (femop_t *)fshead_unmount },
-	{ VFSNAME_ROOT, (femop_t *)fshead_root },
-	{ VFSNAME_STATVFS, (femop_t *)fshead_statvfs },
-	{ VFSNAME_SYNC, (femop_t *)fshead_sync },
-	{ VFSNAME_VGET, (femop_t *)fshead_vget },
-	{ VFSNAME_MOUNTROOT, (femop_t *)fshead_mountroot },
-	{ VFSNAME_FREEVFS, (femop_t *)fshead_freevfs },
-	{ VFSNAME_VNSTATE, (femop_t *)fshead_vnstate },
-	{	NULL,	NULL	}
+	{ VFSNAME_MOUNT, {(femop_t *)fshead_mount} },
+	{ VFSNAME_UNMOUNT, {(femop_t *)fshead_unmount} },
+	{ VFSNAME_ROOT, {(femop_t *)fshead_root} },
+	{ VFSNAME_STATVFS, {(femop_t *)fshead_statvfs} },
+	{ VFSNAME_SYNC, {(femop_t *)fshead_sync} },
+	{ VFSNAME_VGET, {(femop_t *)fshead_vget} },
+	{ VFSNAME_MOUNTROOT, {(femop_t *)fshead_mountroot} },
+	{ VFSNAME_FREEVFS, {(femop_t *)fshead_freevfs} },
+	{ VFSNAME_VNSTATE, {(femop_t *)fshead_vnstate} },
+	{	NULL,	{NULL}	}
 };
 
 /*
